WinCrypt.CRYPT_BIT_BLOB (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CRYPT_BIT_BLOB

Package com.sun.jna.platform.win32

# Class WinCrypt.CRYPT_BIT_BLOB

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CRYPT_BIT_BLOB

Direct Known Subclasses:
  `WinCrypt.CRYPT_BIT_BLOB.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"cbData","pbData","cUnusedBits"}) public static class WinCrypt.CRYPT_BIT_BLOB extends Structure
The CRYPT_BIT_BLOB structure contains a set of bits represented by an array of bytes.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CRYPT_BIT_BLOB.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbData`
  `int`
  `cUnusedBits`
  `Pointer`
  `pbData`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CRYPT_BIT_BLOB()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbData

    public int cbData

  - ### pbData

    public Pointer pbData

  - ### cUnusedBits

    public int cUnusedBits

- ## Constructor Details

  - ### CRYPT_BIT_BLOB

    public CRYPT_BIT_BLOB()